/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.2a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.yourfilehost.com/";
	this.ID = "yourfilehost.com";
	this.caption = "YourFileHost";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	// video information
	var result = new VideoDefinition();
	// download html
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "Description:", "<br>");
	// get xml url
	var xml_url = cleanUrl(copyBetween(html, "&video=", "&"));
	// download xml
	var xml = http.downloadWebpage(xml_url);
	// get flv url
	result.URL = cleanUrl(copyBetween(xml, "video_id=", "&"));
	// get the stored cookies
	result.cookies = http.getCookies("|");
	// add the referer header
	result.headers = "Referer=" + url;
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x02,0x00,0x00,0x00,0x90,0x91,0x68,
		0x36,0x00,0x00,0x02,0x43,0x49,0x44,0x41,0x54,0x18,0x19,0x65,0xc1,0xdb,0x6e,0x4c,
		0x51,0x1c,0x07,0xe0,0xdf,0x7f,0xad,0xb5,0xf7,0x9e,0xc3,0x3e,0x68,0x3b,0xd5,0x76,
		0x8a,0x99,0x54,0xdb,0x41,0x2b,0xd4,0x99,0x90,0x68,0xdc,0x90,0x88,0x1b,0x4f,0xc0,
		0x0b,0x78,0x03,0x89,0x4b,0x3c,0x0b,0x71,0xd9,0x08,0x11,0x89,0xd3,0x95,0xb8,0x92,
		0x14,0xd5,0x03,0xda,0x29,0xd2,0x49,0x67,0xc6,0x4c,0x3b,0x7b,0xaf,0xf5,0x73,0xb8,
		0xd4,0xef,0x13,0x92,0xf8,0x0f,0x09,0x82,0x02,0x80,0x80,0xe0,0x2f,0x01,0x20,0x82,
		0x3f,0x14,0x76,0x20,0x40,0xd0,0x5a,0xd7,0xd9,0x4e,0x01,0x02,0x04,0x08,0x10,0xff,
		0x18,0xec,0x90,0x39,0x3e,0x78,0xfc,0x34,0x2a,0x16,0xe3,0x30,0x0a,0x8c,0x81,0x4d,
		0xa7,0x6a,0x13,0x85,0x7c,0x00,0x08,0x00,0x71,0x96,0x4e,0x28,0x24,0x04,0x7f,0x74,
		0xd3,0x6c,0x7e,0x61,0x69,0xa3,0xdb,0xab,0x8d,0x55,0xa3,0x9c,0xd9,0x6c,0x77,0x0a,
		0x81,0xb7,0xfa,0x6d,0x6d,0x6a,0x72,0x5c,0x89,0x12,0xc0,0x00,0x6c,0x6e,0x6d,0x2d,
		0xaf,0xac,0xbe,0x5f,0x5e,0x5e,0x5a,0x5b,0x6f,0xb4,0xba,0x7d,0x71,0xa9,0x52,0x29,
		0xc7,0x9b,0xed,0x94,0xf9,0x24,0x0e,0x73,0xc6,0x04,0x71,0xd2,0x68,0xb6,0x07,0x92,
		0x08,0xa0,0xb1,0xe4,0xad,0x3b,0xf7,0xda,0xa6,0x10,0x46,0x71,0x5f,0x69,0x20,0xd9,
		0x5b,0xee,0x1f,0x1e,0xd9,0x35,0x38,0x68,0xc2,0xa2,0x0a,0xbc,0x54,0x83,0x80,0x09,
		0x93,0x0f,0x4b,0x8b,0x67,0xa7,0x6b,0x14,0x9a,0x66,0xa7,0x9d,0x2f,0x8d,0xb0,0xb4,
		0xa7,0x54,0x1a,0x0e,0xa3,0xc8,0x57,0x3a,0xd3,0x41,0xab,0xe7,0x72,0x9d,0x4c,0x53,
		0x04,0x1a,0x9e,0x58,0x2b,0x1b,0x9d,0xed,0xf5,0x46,0x73,0xb8,0x3f,0xd1,0x63,0xb5,
		0x03,0x5b,0x41,0xb2,0xa2,0x0a,0xad,0x9e,0xb4,0xba,0xbd,0x5e,0x6a,0x09,0xa5,0x20,
		0xbe,0xa7,0x3d,0x4f,0x04,0x42,0x5a,0xe3,0x99,0x1f,0x3d,0xcc,0x2f,0x7c,0x3a,0x58,
		0x1d,0x35,0x13,0x95,0xb1,0xc6,0xc2,0xca,0xf7,0xc5,0xcf,0x9d,0x81,0x7d,0x2e,0xcb,
		0x2c,0x9d,0x23,0x9d,0x56,0xa1,0x31,0xbb,0xa3,0xb8,0xd2,0x5f,0x18,0x49,0x0a,0x69,
		0x6a,0xdf,0xae,0xd6,0x17,0xdf,0xbc,0x3c,0x5d,0x9b,0x94,0x34,0xcd,0x6e,0xdf,0xbd,
		0x5f,0x2f,0x8e,0xbe,0x33,0xc9,0x96,0x25,0x9d,0x22,0x54,0x06,0x67,0xa9,0x2d,0x8c,
		0x85,0x4b,0xe9,0x48,0xe5,0x34,0xfc,0xcd,0xf5,0x9b,0xa3,0x9e,0x52,0x0a,0x97,0x67,
		0x2f,0xf6,0xdb,0x6e,0xae,0xd5,0x0c,0xb4,0xaf,0xa9,0x34,0xe9,0x44,0x51,0x3b,0x8a,
		0x13,0x3a,0x1f,0xb2,0x2f,0xc9,0xcd,0x96,0xe3,0xf3,0xe5,0x5d,0x67,0x66,0xa6,0x0c,
		0xa0,0xce,0x9d,0x3c,0xf9,0xec,0xc5,0xab,0x21,0xad,0xbf,0x12,0x54,0xba,0xcb,0x9e,
		0x38,0x6d,0xb4,0x3f,0x14,0xe6,0xfb,0x7c,0x16,0x1a,0xf5,0x52,0xf3,0xeb,0xe1,0x62,
		0xe9,0xe2,0xa5,0x13,0x87,0x2a,0x65,0x23,0x02,0xa3,0xd5,0xd5,0x4b,0x17,0x96,0x1e,
		0xce,0xad,0xeb,0x58,0xe5,0xa2,0x28,0x1f,0xb2,0x97,0xb5,0x97,0x3f,0xfa,0xdb,0x8d,
		0xf3,0xd3,0x13,0xd7,0xae,0x1c,0x9f,0xdc,0x5f,0xf5,0xb5,0x11,0x10,0x10,0x23,0x00,
		0x05,0x33,0x47,0x8f,0xed,0x9d,0x7b,0xf2,0x25,0xeb,0x6c,0xd4,0x7f,0x06,0xbf,0x36,
		0x66,0x27,0xf7,0x5c,0xbf,0x71,0x79,0x6a,0x7f,0x55,0x29,0x08,0x84,0x10,0x01,0x09,
		0x11,0x50,0xf8,0x0f,0x80,0xb5,0xb5,0xfa,0xa3,0xe7,0xaf,0x4f,0x1d,0x99,0x9e,0x1e,
		0xaf,0x06,0x9e,0x07,0x40,0x44,0xb0,0x83,0x90,0x04,0x40,0x12,0x04,0xc4,0x81,0x02,
		0xb1,0x80,0x01,0x20,0x22,0xd8,0xe1,0x37,0xf9,0xb6,0x0b,0x2a,0x0e,0xdc,0x38,0x44,
		0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
